# Fn<> Reference
Reference type.

Defined in | <seqan/basic.h>
Signature | `Reference<T>::Type;`

## Template Parameters

`T` | A type.

## Return Values

`Type` | Either `Value<T>Type &` or a proxy object Proxy for `T`.

#### Dox Sources

    /*!
     * @mfn Reference
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Reference type.
     *
     * @signature Reference<T>::Type;
     *
     * @tparam T A type.
     *
     * @return Type Either <tt>Value&lt;T&gt;Type &amp;</tt> or a proxy object Proxy
     *              for <tt>T</tt>.
     */